<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files/>

    <containers>
    </containers>

    <variables>
        <family name='général'>
            <variable name='activer_modele_vm' type='oui/non' description="Ce serveur est une machine virtuelle à déployer automatiquement" mode='expert'>
                <value>non</value>
            </variable>
        </family>
        <family name='Machine virtuelle' icon='desktop'>
            <variable name='vm_marketplace' type='string' description="MarketPlace à utiliser pour le téléchargement des images disque" mode='expert'>
                <value>EOLE</value>
            </variable>
            <variable name='vm_index' type='number' description="Numéro d'ordre de déploiement">
                <value>99</value>
            </variable>
            <variable name='vm_app' type='string' description="Nom de l'image de VM à utiliser" mode='expert'/>
            <variable name='vm_cpu' type='string' description="Unités CPU affectées à la VM" mode='expert'>
                <value>0.1</value>
            </variable>
            <variable name='vm_vcpu' type='number' description="Nombre de CPU visibles par la VM" mode='expert'>
                <value>1</value>
            </variable>
            <variable name='vm_memory' type='number' description="Quantité de mémoire affectée à la VM en Mo" mode='basic'>
                <value>1024</value>
            </variable>
            <variable name='vm_disk_size' type='number' description="Taille du disque de la VM souhaitée en Go"></variable>
            <variable name='vm_vnet_name0' description="Nom du réseau virtuel associé à l'interface 0"></variable>
            <variable name='vm_vnet_name1' description="Nom du réseau virtuel associé à l'interface 1"></variable>
            <variable name='vm_vnet_name2' description="Nom du réseau virtuel associé à l'interface 2"></variable>
            <variable name='vm_vnet_name3' description="Nom du réseau virtuel associé à l'interface 3"></variable>
            <variable name='vm_vnet_name4' description="Nom du réseau virtuel associé à l'interface 4"></variable>
        </family>
        <separators>
            <separator name='activer_modele_vm'>Virtualisation</separator>
            <separator name='vm_marketplace'>Sources des images</separator>
            <separator name='vm_cpu'>Système</separator>
            <separator name='vm_disk_size'>Disques</separator>
            <separator name='vm_vnet_name0'>Réseaux</separator>
        </separators>

    </variables>

    <constraints>
        <check name="valid_float" target="vm_cpu"/>
        <fill name='concat' target='vm_app'>
            <param type='eole'>eole_module</param>
            <param>-</param>
            <param type='eole'>eole_release</param>
        </fill>

        <condition name='disabled_if_in' source='activer_modele_vm'>
            <param>non</param>
            <target type='family'>Machine virtuelle</target>
        </condition>

        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <target type='variable'>vm_vnet_name1</target>
            <target type='variable'>vm_vnet_name2</target>
            <target type='variable'>vm_vnet_name3</target>
            <target type='variable'>vm_vnet_name4</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>2</param>
            <target type='variable'>vm_vnet_name2</target>
            <target type='variable'>vm_vnet_name3</target>
            <target type='variable'>vm_vnet_name4</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>3</param>
            <target type='variable'>vm_vnet_name3</target>
            <target type='variable'>vm_vnet_name4</target>
        </condition>
        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>4</param>
            <target type='variable'>vm_vnet_name4</target>
        </condition>
    </constraints>

    <help>
        <variable name='activer_modele_vm'>Placer la valeur à 'oui' si ce serveur est une machine virtuelle destinée à être déployée automatiquement par le serveur Hâpy.</variable>
        <variable name='vm_marketplace'>Nom de la place de marché a utiliser pour télécharger les images disque basiques</variable>
        <variable name='vm_app'>Nom de l'image disque a utiliser pour ce serveur</variable>
        <variable name='vm_cpu'>Quantité d'unités CPU utilisées par cette machine virtuelle (0.1 représente 10% de 1 coeur, 1 représente 100% de 1 coeur, 2 représente 100% de 2 coeurs).</variable>
        <variable name='vm_vcpu'>Nombre de CPU visibles par la machine virtuelle après le déploiement( X vCPU affiche.nt X coeur.s dans /proc/cpuinfo)</variable>
        <variable name='vm_memory'>Quantité de mémoire utilisée par la machine virutelle en Mo</variable>
        <variable name='vm_disk_size'>Taille souhaitée pour le disque de la machine déployée, après le déploiement le disque d'origine sera agrandit pour correspondre à cette valeur.</variable>
        <variable name='vm_vnet_name0'>Nom du réseau virutel OpenNebula auquel est rataché l'interface 0 de la machine virtuelle</variable>
        <variable name='vm_vnet_name1'>Nom du réseau virutel OpenNebula auquel est rataché l'interface 1 de la machine virtuelle</variable>
        <variable name='vm_vnet_name2'>Nom du réseau virutel OpenNebula auquel est rataché l'interface 2 de la machine virtuelle</variable>
        <variable name='vm_vnet_name3'>Nom du réseau virutel OpenNebula auquel est rataché l'interface 3 de la machine virtuelle</variable>
        <variable name='vm_vnet_name4'>Nom du réseau virutel OpenNebula auquel est rataché l'interface 4 de la machine virtuelle</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
